%global momorel 3
%define inchi_so_ver 1.02.00

Summary: The IUPAC International Chemical Identifier library
Name: inchi
Version: 1.0.2
Release: %{momorel}m%{?dist}
URL: http://www.iupac.org/inchi/
Group: Development/Libraries
Source0: http://www.iupac.org/inchi/download/inchi102b.zip
NoSource: 0
Patch0: %{name}-rpm.patch
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The IUPAC International Chemical Identifier (InChITM) is a non-proprietary
identifier for chemical substances that can be used in printed and
electronic data sources thus enabling easier linking of diverse data
compilations. It was developed under IUPAC Project 2000-025-1-800 during
the period 2000-2004. Details of the project and the history of its
progress are available from the project web site.

%package devel
Summary: Development headers for the InChI library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The inchi-devel package includes the header files and libraries
necessary for developing programs using the InChI library.

If you are going to develop programs which will use this library
you should install inchi-devel.  You'll also need to have the
inchi package installed.

%prep
%setup -q -n InChI-1-software-1-02-beta
%patch0 -p1 -b .r

%build
pushd INCHI_API/gcc_so_makefile
%{__make} OPTFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
popd

%install
rm -rf --preserve-root %{buildroot}
mkdir -p %{buildroot}{%{_libdir},%{_includedir}/inchi}
install -p INCHI_API/gcc_so_makefile/result/libinchi.so.%{inchi_so_ver} %{buildroot}%{_libdir}
ln -s libinchi.so.%{inchi_so_ver} %{buildroot}%{_libdir}/libinchi.so.1
ln -s libinchi.so.1               %{buildroot}%{_libdir}/libinchi.so
sed -i 's/\r//' INCHI_API/INCHI_DLL/inchi_api.h
install -pm644 INCHI_API/INCHI_DLL/inchi_api.h %{buildroot}%{_includedir}/inchi
sed -i 's/\r//' LICENSE readme.txt

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE readme.txt Software-1-02-beta.pdf
%{_libdir}/libinchi.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/inchi
%{_libdir}/libinchi.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.2-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-2m)
- rebuild against gcc43

* Tue Jan  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-1m)
- import from Fedora devel

* Mon Oct 01 2007 Dominik Mierzejewski <rpm@greysector.net> 1.0.2-0.2
- updated license tag
- fixed non-Unix EOLs in docs
- fixed dangling symlinks

* Thu Sep 06 2007 Dominik Mierzejewski <rpm@greysector.net> 1.0.2-0.1
- updated to 1.02b
- dropped WDI patch (upstream'd)
- updated license tag

* Sun Jul 01 2007 Dominik Mierzejewski <rpm@greysector.net> 1.0.1-8
- initial build
